Core - Bug # 55666

Status: Closed Priority: Could have
Author: Thomas Kakuschke Category: File Abstraction Layer (FAL)
Created: 2014-02-04 Assigned To:

Updated: 2014-06-24 Due date:

TYPO3 Version: 6.2

PHP Version: 54

Complexity:

Is Regression: No

Sprint Focus:

Subject: Thumbs in FAL have very big sizes

Description

In FAL the Thumbnails have the original image width, even when the image have 3000 Pixel, that the whole Backend is overfloating.

It is not realy possible to work with this.

Related issues:
related to Core - Bug # 51768: IRRE - drag and drop sorting of items not poss... Resolved 2014-04-20

History

#1 - 2014-02-04 20:53 - Thomas Kakuschke

The Problem happend in beta5

#2 - 2014-02-05 20:12 - Frans Saris
- Status changed from New to Needs Feedback

You talking about the thumbs shown when you edit a text + images content element?

#3 - 2014-02-05 20:52 - Thomas Kakuschke
- File TYPOSFALBigThumbs.jpg added

Maybe it can help with a screenshot

#4 - 2014-02-05 21:17 - Frans Saris

| think the problem is the '45c¢' value in InlineElement.php.
https://review.typo3.org/#/c/27164/10/typo3/sysext/backend/Classes/Form/Element/InlineElement.php

Could you test this by removing the 'c'?

Gr. Frans

#5 - 2014-02-06 01:02 - Thomas Kakuschke
https://review.typo3.org/#/c/27164/10/typo3/sysext/backend/Classes/Form/Element/InlineElement.php

I've removed the 'c'. Nothing changed.

FYI: The Thumbs in beta4 were ok.

#6 - 2014-02-11 01:34 - Thomas Kakuschke

In "typo3/sysext/backend/Classes/Form/Element/InlineElement.php" Line 599 is a Problem with CONTEXT_IMAGECROPSCALEMASK. | replaced it
with the old (from beta4) CONTEXT_IMAGEPREVIEW, and it works.

599: $imageUrl = $fileObject->process(\TYPO3\CMS\Core\Resource\ProcessedFile::CONTEXT_IMAGEPREVIEW,
$imageSetup)->getPublicUrl(TRUE);

Can somebody take a look in the Code and fix it, i am not the best php developer.

I hope it will help ;-)

Thomas

P.S. Please set Priority to Must have.

#7 - 2014-02-12 20:14 - Frans Saris

Could you check if cropping works for you at all?

#8 - 2014-02-13 15:33 - Thomas Kakuschke

Cropping in Frontend works perfect

#9 - 2014-02-16 09:39 - Frans Saris

- Status changed from Needs Feedback to Accepted

- Assigned To set to Frans Saris

- Priority changed from Should have to Must have

Image processing context has changed from preview (backend use) to cropScale (frontend use) this should be reverted.

But I'm not sure why this results in the problems you describe.

#10 - 2014-02-17 23:10 - Helmut Hummel
- Status changed from Accepted to Needs Feedback
- Priority changed from Must have to Could have

Frans Saris wrote:

Image processing context has changed from preview (backend use) to cropScale (frontend use) this should be reverted.

Not sure why this should be reverted. I'm more interested in finding out the reason why this fails, because we will need cropScale for RTE.
I'm also not sure why cropScale should only be dedicated to frontend use only.

But I'm not sure why this results in the problems you describe.

@Thomas: please try to tuncate sys_file_processedfile

If this does not help, please tell us more about your environment: what PHP version, what image magic or graphics magic configuration etc.

Thanks

#11 - 2014-02-23 09:09 - Frans Saris

- Assigned To deleted (Frans Saris)

#12 - 2014-06-23 22:07 - Thomas Kakuschke

| dont have this Problem anymore. | dont know why. Get Luck ;-)

| think this Task can be closed.

#13 - 2014-06-24 08:58 - Frans Saris

- Status changed from Needs Feedback to Closed

Files

TYPOS3FALBigThumbs.jpg 313.3 kB
